Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.stylesheet.propertypeer
Class NumberPeer

    java.lang.Object
      echopointng.stylesheet.propertypeer.AbstractCssPropertyPeer
          echopointng.stylesheet.propertypeer.NumberPeer

All Implemented Interfaces:
  CssPropertyPeer

Direct Known Subclasses:
  BytePeer, DoublePeer, FloatPeer, IntegerPeer, LongPeer, ShortPeer

    public abstract class NumberPeer

extends AbstractCssPropertyPeer

`NumberPeer` converts property value strings into Numbers. It will also try to use class field constants if the values cant be be converted.

This class is a base class for more specific peers

Constructor Summary
`NumberPeer()`

Method Summary
`protected boolean` | `canConvert(CssObjectIntrospector ci, java.lang.String propertyValue)` Is the propertyValue valid in its current form?

Methods inherited from class echopointng.stylesheet.propertypeer.AbstractCssPropertyPeer
`getConstantFromMap, getConstantFromMap, getConstantValue, getConversionClass, getInteger, getIntFromMap, getJavaObject, getObject, getPeer, getString, getStyleString, isAssignableFrom, isExtent, isInteger, isNullString, makeExtent, tokenize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberPeer

    public NumberPeer()

Method Detail

### canConvert

    protected boolean canConvert(CssObjectIntrospector ci,
                                 java.lang.String propertyValue)

  Description copied from class: `AbstractCssPropertyPeer`
  Is the propertyValue valid in its current form?

  Specified by:
    `canConvert` in class `AbstractCssPropertyPeer`
  Parameters:
    `ci` - - The component Intropector
    `propertyValue` - - the value to inspect
  Returns:
    true if its a valid, convertable value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD